# Uses of Class
org.springframework.web.util.pattern.PathPattern

Packages that use PathPattern
Package
Description
org.springframework.web.util.pattern
Dedicated support for matching HTTP request paths.

## Uses of PathPattern in org.springframework.web.util.pattern

Fields in org.springframework.web.util.pattern with type parameters of type PathPattern
Modifier and Type
Field
Description
`static final Comparator<PathPattern>`
PathPattern.`SPECIFICITY_COMPARATOR`
Comparator that sorts patterns by specificity as follows: Null instances are last.
Methods in org.springframework.web.util.pattern that return PathPattern
Modifier and Type
Method
Description
`PathPattern`
PathPattern.`combine(PathPattern otherPattern)`
Combine this pattern with the one given as parameter, returning a new `PathPattern` instance that concatenates or merges both.
`PathPattern`
PathPatternParser.`parse(String pathPattern)`
Process the path pattern content, a character at a time, breaking it into path elements around separator boundaries and verifying the structure at each stage.
Methods in org.springframework.web.util.pattern with parameters of type PathPattern
Modifier and Type
Method
Description
`PathPattern`
PathPattern.`combine(PathPattern otherPattern)`
Combine this pattern with the one given as parameter, returning a new `PathPattern` instance that concatenates or merges both.
`int`
PathPattern.`compareTo(PathPattern otherPattern)`
Compare this pattern with a supplied pattern: return -1,0,+1 if this pattern is more specific, the same or less specific than the supplied pattern.